Get Logs
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/logs \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/logs"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agents.timepay.ai/api/v1/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agents.timepay.ai/api/v1/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agents.timepay.ai/api/v1/logs")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agents.timepay.ai/api/v1/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"call_id": "KjbdfYCefvutafHGCDhgfhgafhdyfyg",
"date": "2026-01-17",
"start_time": "2026-01-17T08:33:36",
"end_time": "2026-01-17T08:35:08",
"campaign_name": "August EMI Reminder Campaign",
"campaign_id": "LKsfiGVdygfvYFGCdygayhf",
"name": "John Wick",
"loan_id": "LOAN-ABC-123",
"duration": 14,
"direction": "outbound",
"from": "+918888888888",
"to": "9999999999",
"status": "No Contact",
"disposition": "Voicemail",
"transcript_id": "7437557f-7ab9-4012-b411-a6f534c5aaf0",
"recording_id": "9242c009-1f8f-4bd6-a40c-e40926d1fd88",
"extracted_data": {},
"summary": "Customer acknowledged the pending EMI of ₹12,500 due on August 15 and promised to deposit the amount by tomorrow.",
"agent_id": "lGJVyhgvayGDtfsfdfdf",
"disposition_id": "YefgTYRCdygdygw",
"type": "call"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 2450,
"total_pages": 245,
"has_next": true,
"has_prev": false
}
}
{
"success": true,
"data": [
{
"message_id": "kajdfahbfuyFYtdygfvygYFDCycf",
"date": "2026-01-22",
"start_time": "2026-01-22T19:04:31",
"end_time": null,
"campaign_name": "August EMI Reminder Campaign",
"campaign_id": "khYTFvdygvgYCFDgvhbfvn",
"name": "John Wick",
"loan_id": "LOAN-ABC-123",
"duration": 0,
"direction": "outbound",
"from": null,
"to": "8264705488",
"status": "Read",
"disposition": null,
"extracted_data": {},
"agent_id": "",
"disposition_id": null,
"type": "whatsapp",
"wamid": "wamid.HBgMOTE4MjY0NzA1NDg4FQIAERgSMUREQzk0RjExNTQzMzE3RkZGAA==",
"conversation": [
{
"role": "assistant",
"content": "नमस्ते john\n\nआपका timepay.ai लोन किस्त (Loan ID: 243410) 18 दिन से बकाया पड़ा है।\n\nबकाया राशि: ₹7442\n\nकृपया तुरंत timepay.ai ऐप के ज़रिए पेमेंट क्लियर करें।",
"timestamp": "2026-01-22T19:04:31"
}
],
"errors": [
{
"code": 131042,
"href": "https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes/",
"title": "Business eligibility payment issue",
"message": "Business eligibility payment issue",
"error_data": {
"details": "Message failed to send because there were one or more errors related to your payment method."
}
}
]
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 1250,
"total_pages": 125,
"has_next": true,
"has_prev": false
}
}
{
"success": true,
"total": 15340
}
{
"success": true,
"data": [
{
"message_id": "IbugvFCTDFCdgtfdhgCTYRFCYGEf",
"date": "2026-01-22",
"start_time": "2026-01-22T19:04:31",
"end_time": null,
"campaign_name": "Aug Campaign",
"campaign_id": "tcELESaJAtDfnWxJvzLU",
"name": "Rajesh Joshi",
"loan_id": "LOAN-ABC-334",
"to": "8264705488",
"status": "Failed",
"agent_id": "",
"type": "whatsapp",
"wamid": "wamid.HBgMOTE4MjY0NzA1NDg4FQIAERgSMUREQzk0RjExNTQzMzE3RkZGAA==",
"conversation": [],
"errors": []
},
{
"date": "2026-01-17",
"start_time": "2026-01-17T08:33:36",
"end_time": "2026-01-17T08:35:08",
"campaign_name": "Jan Campaign",
"campaign_id": "MboeowkjabsXlVwgkwlm",
"name": "Trilok",
"loan_id": "LOAN-ABC-334",
"duration": 14,
"direction": "outbound",
"from": "+918035450808",
"to": "8888889956",
"status": "No Contact",
"disposition": "Voicemail",
"transcript_id": "7437557f-7ab9-4012-b411-a6f534c5aaf0",
"recording_id": "9242c009-1f8f-4bd6-a40c-e40926d1fd88",
"extracted_data": {},
"agent_id": "lHLbgcfaUBTFvYodWKUR",
"disposition_id": "ZvhjjEIldlzSEcCWibNM",
"type": "call"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 15340,
"total_pages": 1534,
"has_next": true,
"has_prev": false
}
}
{
"success": false,
"message": "Validation failed",
"errors": [
"Invalid type 'email'. Must be one of: call or whatsapp"
]
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}
Details
Get Logs
Retrieve paginated communication logs (calls, WhatsApp, SMS) with optional filters.
Get Logs
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/logs \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/logs"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agents.timepay.ai/api/v1/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agents.timepay.ai/api/v1/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agents.timepay.ai/api/v1/logs")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agents.timepay.ai/api/v1/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"call_id": "KjbdfYCefvutafHGCDhgfhgafhdyfyg",
"date": "2026-01-17",
"start_time": "2026-01-17T08:33:36",
"end_time": "2026-01-17T08:35:08",
"campaign_name": "August EMI Reminder Campaign",
"campaign_id": "LKsfiGVdygfvYFGCdygayhf",
"name": "John Wick",
"loan_id": "LOAN-ABC-123",
"duration": 14,
"direction": "outbound",
"from": "+918888888888",
"to": "9999999999",
"status": "No Contact",
"disposition": "Voicemail",
"transcript_id": "7437557f-7ab9-4012-b411-a6f534c5aaf0",
"recording_id": "9242c009-1f8f-4bd6-a40c-e40926d1fd88",
"extracted_data": {},
"summary": "Customer acknowledged the pending EMI of ₹12,500 due on August 15 and promised to deposit the amount by tomorrow.",
"agent_id": "lGJVyhgvayGDtfsfdfdf",
"disposition_id": "YefgTYRCdygdygw",
"type": "call"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 2450,
"total_pages": 245,
"has_next": true,
"has_prev": false
}
}
{
"success": true,
"data": [
{
"message_id": "kajdfahbfuyFYtdygfvygYFDCycf",
"date": "2026-01-22",
"start_time": "2026-01-22T19:04:31",
"end_time": null,
"campaign_name": "August EMI Reminder Campaign",
"campaign_id": "khYTFvdygvgYCFDgvhbfvn",
"name": "John Wick",
"loan_id": "LOAN-ABC-123",
"duration": 0,
"direction": "outbound",
"from": null,
"to": "8264705488",
"status": "Read",
"disposition": null,
"extracted_data": {},
"agent_id": "",
"disposition_id": null,
"type": "whatsapp",
"wamid": "wamid.HBgMOTE4MjY0NzA1NDg4FQIAERgSMUREQzk0RjExNTQzMzE3RkZGAA==",
"conversation": [
{
"role": "assistant",
"content": "नमस्ते john\n\nआपका timepay.ai लोन किस्त (Loan ID: 243410) 18 दिन से बकाया पड़ा है।\n\nबकाया राशि: ₹7442\n\nकृपया तुरंत timepay.ai ऐप के ज़रिए पेमेंट क्लियर करें।",
"timestamp": "2026-01-22T19:04:31"
}
],
"errors": [
{
"code": 131042,
"href": "https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes/",
"title": "Business eligibility payment issue",
"message": "Business eligibility payment issue",
"error_data": {
"details": "Message failed to send because there were one or more errors related to your payment method."
}
}
]
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 1250,
"total_pages": 125,
"has_next": true,
"has_prev": false
}
}
{
"success": true,
"total": 15340
}
{
"success": true,
"data": [
{
"message_id": "IbugvFCTDFCdgtfdhgCTYRFCYGEf",
"date": "2026-01-22",
"start_time": "2026-01-22T19:04:31",
"end_time": null,
"campaign_name": "Aug Campaign",
"campaign_id": "tcELESaJAtDfnWxJvzLU",
"name": "Rajesh Joshi",
"loan_id": "LOAN-ABC-334",
"to": "8264705488",
"status": "Failed",
"agent_id": "",
"type": "whatsapp",
"wamid": "wamid.HBgMOTE4MjY0NzA1NDg4FQIAERgSMUREQzk0RjExNTQzMzE3RkZGAA==",
"conversation": [],
"errors": []
},
{
"date": "2026-01-17",
"start_time": "2026-01-17T08:33:36",
"end_time": "2026-01-17T08:35:08",
"campaign_name": "Jan Campaign",
"campaign_id": "MboeowkjabsXlVwgkwlm",
"name": "Trilok",
"loan_id": "LOAN-ABC-334",
"duration": 14,
"direction": "outbound",
"from": "+918035450808",
"to": "8888889956",
"status": "No Contact",
"disposition": "Voicemail",
"transcript_id": "7437557f-7ab9-4012-b411-a6f534c5aaf0",
"recording_id": "9242c009-1f8f-4bd6-a40c-e40926d1fd88",
"extracted_data": {},
"agent_id": "lHLbgcfaUBTFvYodWKUR",
"disposition_id": "ZvhjjEIldlzSEcCWibNM",
"type": "call"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 15340,
"total_pages": 1534,
"has_next": true,
"has_prev": false
}
}
{
"success": false,
"message": "Validation failed",
"errors": [
"Invalid type 'email'. Must be one of: call or whatsapp"
]
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}
Headers
401 Unauthorized
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
403 Forbidden
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).string
Optional. Use this header only when the authenticated user belongs to multiple organizations. It identifies the organization to target for this action.
Query Parameters
string
Filter by communication type.
Show options
Show options
call— Voice callswhatsapp— WhatsApp messages
string
Filter by log status (e.g.,
No Contact, Completed, Failed).string
Filter by call disposition (e.g.,
Voicemail, Promise to Pay, Not Interested).string
Filter by caller/sender phone number (e.g.,
+918035450808).string
Filter by customer phone number (e.g.,
8888889956).string
Filter by campaign ID.
string
Filter by agent ID.
string
Filter logs from this datetime (inclusive). Format: IST (e.g.,
2026-01-17T00:00:00).string
Filter logs until this datetime (inclusive). Format: IST (e.g.,
2026-01-17T23:59:59).integer
default:1
Page number (1-indexed). Each page returns 10 logs.
string
default:"false"
If
true, returns only the total count of matching logs without fetching log data.Response
Standard Response (count_only=false)
boolean
Indicates whether the request was successful.
array
Array of log entries. Fields vary slightly based on type.
Show Common fields (all types)
Show Common fields (all types)
string
Date of the log entry (
YYYY-MM-DD).string
Present only for Collection organizations. Unique loan identifier of the customer.
string
Present only for Lead Generation organizations. Unique lead identifier of the customer.
string
Start timestamp (ISO 8601).
string
End timestamp (ISO 8601).
null for WhatsApp/SMS.string
Name of the campaign.
string
Campaign ID.
string
Customer’s name as specified in campaign data
number
Duration in seconds (0 for WhatsApp/SMS).
string
Direction:
outbound or inbound.string
Caller/sender phone number.
string
Customer phone number.
string
Log status.
string
Call disposition/outcome.
object
Data extracted by the AI agent during the conversation.
string
Agent ID that handled the interaction.
string
Disposition configuration ID.
string
AI-generated call summary.
string
Communication type:
call, whatsapp, or sms.Show Call-only fields
Show Call-only fields
string
Unique call identifier.
string
Transcript ID extracted from the transcript file path. Use the Get Transcript endpoint to fetch the full transcript.
string
Recording ID. Use the Get Recording endpoint to stream the audio.
Show WhatsApp-only fields
Show WhatsApp-only fields
string
Unique message identifier.
string
WhatsApp message ID assigned by Meta.
array
object
Count-Only Response (count_only=true)
boolean
Indicates whether the request was successful.
integer
Total number of logs matching the filters.
{
"success": true,
"data": [
{
"call_id": "KjbdfYCefvutafHGCDhgfhgafhdyfyg",
"date": "2026-01-17",
"start_time": "2026-01-17T08:33:36",
"end_time": "2026-01-17T08:35:08",
"campaign_name": "August EMI Reminder Campaign",
"campaign_id": "LKsfiGVdygfvYFGCdygayhf",
"name": "John Wick",
"loan_id": "LOAN-ABC-123",
"duration": 14,
"direction": "outbound",
"from": "+918888888888",
"to": "9999999999",
"status": "No Contact",
"disposition": "Voicemail",
"transcript_id": "7437557f-7ab9-4012-b411-a6f534c5aaf0",
"recording_id": "9242c009-1f8f-4bd6-a40c-e40926d1fd88",
"extracted_data": {},
"summary": "Customer acknowledged the pending EMI of ₹12,500 due on August 15 and promised to deposit the amount by tomorrow.",
"agent_id": "lGJVyhgvayGDtfsfdfdf",
"disposition_id": "YefgTYRCdygdygw",
"type": "call"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 2450,
"total_pages": 245,
"has_next": true,
"has_prev": false
}
}
{
"success": true,
"data": [
{
"message_id": "kajdfahbfuyFYtdygfvygYFDCycf",
"date": "2026-01-22",
"start_time": "2026-01-22T19:04:31",
"end_time": null,
"campaign_name": "August EMI Reminder Campaign",
"campaign_id": "khYTFvdygvgYCFDgvhbfvn",
"name": "John Wick",
"loan_id": "LOAN-ABC-123",
"duration": 0,
"direction": "outbound",
"from": null,
"to": "8264705488",
"status": "Read",
"disposition": null,
"extracted_data": {},
"agent_id": "",
"disposition_id": null,
"type": "whatsapp",
"wamid": "wamid.HBgMOTE4MjY0NzA1NDg4FQIAERgSMUREQzk0RjExNTQzMzE3RkZGAA==",
"conversation": [
{
"role": "assistant",
"content": "नमस्ते john\n\nआपका timepay.ai लोन किस्त (Loan ID: 243410) 18 दिन से बकाया पड़ा है।\n\nबकाया राशि: ₹7442\n\nकृपया तुरंत timepay.ai ऐप के ज़रिए पेमेंट क्लियर करें।",
"timestamp": "2026-01-22T19:04:31"
}
],
"errors": [
{
"code": 131042,
"href": "https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes/",
"title": "Business eligibility payment issue",
"message": "Business eligibility payment issue",
"error_data": {
"details": "Message failed to send because there were one or more errors related to your payment method."
}
}
]
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 1250,
"total_pages": 125,
"has_next": true,
"has_prev": false
}
}
{
"success": true,
"total": 15340
}
{
"success": true,
"data": [
{
"message_id": "IbugvFCTDFCdgtfdhgCTYRFCYGEf",
"date": "2026-01-22",
"start_time": "2026-01-22T19:04:31",
"end_time": null,
"campaign_name": "Aug Campaign",
"campaign_id": "tcELESaJAtDfnWxJvzLU",
"name": "Rajesh Joshi",
"loan_id": "LOAN-ABC-334",
"to": "8264705488",
"status": "Failed",
"agent_id": "",
"type": "whatsapp",
"wamid": "wamid.HBgMOTE4MjY0NzA1NDg4FQIAERgSMUREQzk0RjExNTQzMzE3RkZGAA==",
"conversation": [],
"errors": []
},
{
"date": "2026-01-17",
"start_time": "2026-01-17T08:33:36",
"end_time": "2026-01-17T08:35:08",
"campaign_name": "Jan Campaign",
"campaign_id": "MboeowkjabsXlVwgkwlm",
"name": "Trilok",
"loan_id": "LOAN-ABC-334",
"duration": 14,
"direction": "outbound",
"from": "+918035450808",
"to": "8888889956",
"status": "No Contact",
"disposition": "Voicemail",
"transcript_id": "7437557f-7ab9-4012-b411-a6f534c5aaf0",
"recording_id": "9242c009-1f8f-4bd6-a40c-e40926d1fd88",
"extracted_data": {},
"agent_id": "lHLbgcfaUBTFvYodWKUR",
"disposition_id": "ZvhjjEIldlzSEcCWibNM",
"type": "call"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 15340,
"total_pages": 1534,
"has_next": true,
"has_prev": false
}
}
{
"success": false,
"message": "Validation failed",
"errors": [
"Invalid type 'email'. Must be one of: call or whatsapp"
]
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}
Error Codes
| Status | Description |
|---|---|
400 | Validation error |
401 | Unauthorized - missing or invalid authorization header |
403 | Forbidden - insufficient permission to perform this action |
500 | Internal server error |
Usage Examples
Get all logs (page 1):GET /api/v1/logs
GET /api/v1/logs?type=call
GET /api/v1/logs?type=whatsapp&campaign_id=tcELESaJAtDfnWxJvzLU
GET /api/v1/logs?start_time=2026-01-17T00:00:00&end_time=2026-01-17T23:59:59
GET /api/v1/logs?type=whatsapp&status=Failed
GET /api/v1/logs?phone=8888889956&disposition=Voicemail
GET /api/v1/logs?from_phone=+918035450808&type=call
GET /api/v1/logs?type=call&page=3
GET /api/v1/logs?status=Failed&count_only=true
GET /api/v1/logs?type=call&status=No Contact&disposition=Voicemail&start_time=2026-01-01T00:00:00&end_time=2026-01-31T23:59:59&page=1

